import { firebase } from "./firebase";
import { MockIdentity, MockValue } from "./mock-types";
export interface MockAppOptions {
    database: {
        content: MockValue | null;
    };
    deleter: () => Promise<any>;
    identities: MockIdentity[];
    initializeOptions: Object;
    name: string;
}
export declare class MockApp implements firebase.app.App {
    private auth_;
    private database_;
    private deleter_;
    private emitters_;
    private initializeOptions_;
    private messaging_;
    private name_;
    constructor(options: MockAppOptions);
    readonly name: string;
    readonly options: Object;
    auth(): firebase.auth.Auth;
    database(): firebase.database.Database;
    delete(): Promise<any>;
    firestore(): firebase.firestore.Firestore;
    messaging(): firebase.messaging.Messaging;
    storage(url?: string): firebase.storage.Storage;
    private rootListener_(eventType, {content, previousContent});
}
